###  | #  |

Public Types | Public Member Functions | List of all members
binary_operation_obj< Derived, Result > Struct Template Reference
Image View » Algorithms and Utility Functions » STL-like Algorithms

A generic binary operation on views. More...

`#include <algorithm.hpp>`

## Public Types
using | result_type = Result

## Public Member Functions
template<typename V1 , typename V2 >
BOOST_FORCEINLINE auto | operator() (const std::pair< const V1 *, const V2 * > &p) const -> result_type
template<typename V1 , typename V2 >
BOOST_FORCEINLINE auto | operator() (const V1 &v1, const V2 &v2) const -> result_type
auto | operator() (const error_t &) const -> result_type

## Detailed Description

template<typename Derived, typename Result = void>
struct boost::gil::binary_operation_obj< Derived, Result >

A generic binary operation on views.

Use this class as a convenience superclass when defining an operation for any image views. Many operations have different behavior when the two views are compatible. This class checks for compatibility and invokes apply_compatible(V1,V2) or apply_incompatible(V1,V2) of the subclass. You must provide apply_compatible(V1,V2) method in your subclass, but apply_incompatible(V1,V2) is not required and the default throws std::bad_cast.

The documentation for this struct was generated from the following file:

- algorithm.hpp